## Name

xprehashprinterlist — Recomputes the list of available printers.

## Synopsis

`xprehashprinterlist` [`-v`] [`-h`]

## DESCRIPTION

xprehashprinterlist causes all Xprint servers to recompute (update) their lists of available printers, and update the attributes for the printers. The intended usage of this tool is that a system administrator can run it after changing the printer topology.

## OPTIONS

`-v`

  generate verbose output

`-h | -?`

  print usage

## ENVIRONMENT

`XPSERVERLIST`

  `${XPSERVERLIST}` must be set, identifying the available Xprint servers. See Xprint(7) for more details.

## EXAMPLES

Example 1. Update the list of available printers

    % xprehashprinterlist -v

would print:

    Rehashing printer list on server 'meridian:34'

## NOTES

xprehashprinterlist rehashes all printer lists of all print servers. Alternatively xset rehashprinterlist may be used to rehash only the list of printers in one print server.

## SEE ALSO

Xprint(7), X11(7), xset(1x), xplsprinters(1x), xphelloworld(1x), xpxmhelloworld(1x), xpawhelloworld(1x), xpxthelloworld(1x), xpsimplehelloworld(1x), Xserver(1x), Xprt(1x), libXp(3x), libXprintUtils(3x), libXprintAppUtils(3x), XmPrintShell(3x), XawPrintShell(3x), Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html), Xprint main site (http://xprint.mozdev.org/)